# Record TCefBrowserView

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBrowserView = record`

## Description

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBrowserView.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_capi.h">CEF source file: /include/capi/views/cef_browser_view_capi.h (cef_browser_view_t))

## Overview

### Fields

| `base: TCefView;`
| `get_browser: function(self: PCefBrowserView): PCefBrowser; stdcall;`
| `get_chrome_toolbar: function(self: PCefBrowserView): PCefView; stdcall;`
| `set_prefer_accelerators: procedure(self: PCefBrowserView; prefer_accelerators: Integer); stdcall;`
| `get_runtime_style: function(self: PCefBrowserView): TCefRuntimeStyle; stdcall;`

## Description

### Fields

| `base: TCefView;`
This item has no description.

| `get_browser: function(self: PCefBrowserView): PCefBrowser; stdcall;`
This item has no description.

| `get_chrome_toolbar: function(self: PCefBrowserView): PCefView; stdcall;`
This item has no description.

| `set_prefer_accelerators: procedure(self: PCefBrowserView; prefer_accelerators: Integer); stdcall;`
This item has no description.

| `get_runtime_style: function(self: PCefBrowserView): TCefRuntimeStyle; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.